package com.bankaudit.process.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_observation_hst")
public class AuditObservationHst {

/*	Table: audit_observation_hst
	--------------------------------

	Column Information
	----------------------

	Field                   Type          Collation          Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  -----------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	id                      int(4)        (NULL)             NO      PRI     (NULL)             auto_increment               select,insert,update,references           
	version_no              int(2)        (NULL)             YES             (NULL)                                          select,insert,update,references           
	legal_entity_code       int(2)        (NULL)             NO              (NULL)                                          select,insert,update,references           
	audit_type_code         varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	plan_id                 varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	audit_id                varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	group_observation_id    varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	observation_id          varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	mapping_id              varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	capture_type			varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references
	account_no              varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	account_name            varchar(50)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	account_currency        varchar(10)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	limit_type              varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	limit_amount            int(10)       (NULL)             YES             (NULL)                                          select,insert,update,references           
	limit_currency          varchar(10)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	balance                 int(10)       (NULL)             YES             (NULL)                                          select,insert,update,references           
	date                    date          (NULL)             YES             (NULL)                                          select,insert,update,references           
	finding_id              varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_description     varchar(200)  latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_remarks         varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	submission_status       varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_owner           varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	finding_Criticality     varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_id             varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_description    varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_remarks        varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_owner          varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	response_status         varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_id               varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_description      varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_remarks          varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_owner            varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	review_status           varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	remarks                 varchar(200)  latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	capture_type			varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references
	compliance_category		varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references
	status                  varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	entity_status           varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   latin1_swedish_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)             NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   latin1_swedish_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)             YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp */
	@Id
	@GeneratedValue(strategy = javax.persistence.GenerationType.IDENTITY)
	@Column(name="id")
	Integer id;
	
	@Column(name="version_no")
	Integer versionNo;
	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Column(name="plan_id")
	private String planId;

	@Column(name="audit_id")
	private String auditId;

	@Column(name="group_observation_id")
	private String groupObservationId;

	@Column(name="observation_id")
	private String observationId;

	@Column(name="mapping_id")
	private String mappingId;

	@Column(name="account_no")
	private String accountNo;

	@Column(name="account_name")
	private String accountName;

	@Column(name="account_currency")
	private String accountCurrency;

	@Column(name="limit_type")
	private String limitType;

	@Column(name="limit_amount")
	private String limitAmount;

	@Column(name="limit_currency")
	private String limitCurrency;

	@Column(name="balance")
	private String balance;

	@Column(name="date")
	private Date date;

	@Column(name="finding_id")
	private String findingId;

	@Column(name="finding_description")
	private String findingDescription;

	@Column(name="finding_remarks")
	private String findingRemarks;

	@Column(name="submission_status")
	private String submissionStatus;

	@Column(name="finding_owner")
	private String findingOwner;

	@Column(name="finding_criticality")
	private String findingCriticality;
	
	@Column(name="observation_criticality")
	private String observationCriticality;

	@Column(name="response_id")
	private String responseId;

	@Column(name="response_description")
	private String responseDescription;

	@Column(name="response_remarks")
	private String responseRemarks;

	@Column(name="response_owner")
	private String responseOwner;

	@Column(name="response_status")
	private String responseStatus;

	@Column(name="review_id")
	private String reviewId;

	@Column(name="review_description")
	private String reviewDescription;

	@Column(name="review_remarks")
	private String reviewRemarks;

	@Column(name="review_owner")
	private String reviewOwner;

	@Column(name="review_status")
	private String reviewStatus;

	@Column(name="remarks")
	private String remarks;

	@Column(name="entity_status")
	private String entityStatus;

	@Column(name="status")
	private String status;

	@Column(name="maker")
	private String maker;

	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	@Column(name="checker")
	private String checker;

	@Column(name="checker_timestamp")
	private Date checkerTimestamp;

	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;

	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;
	
	@Column(name="capture_way")
	private String captureWay;
	
	@Column(name="capture_type")
	private String captureType;
	
	@Column(name="compliance_category")
	private String complianceCategory;
	
	@Column(name="non_compliance_persistence")
	private String nonCompliancePersistence;
	
	@Column(name="non_compliance_persistence_remark")
	private String nonCompliancePersistenceRemark;	
	
	/* fields related to Risk Capture */
	@Column(name="prob_code")
	private String probCode;

	@Column(name="prob_score")
	private Integer probScore;

	@Column(name="severity_code")
	private String severityCode;

	@Column(name="severity_score")
	private Integer severityScore;

	@Column(name="design_eff_code")
	private String designEffCode;

	@Column(name="design_eff_score")
	private Integer designEffScore;

	@Column(name="oprting_eff_code")
	private String oprtingEffCode;

	@Column(name="oprting_eff_score")
	private Integer oprtingEffScore;

	@Column(name="inhrt_risk_code")
	private String inhrtRiskCode;

	@Column(name="cntrl_cls_bucket_code")
	private String cntrlClsBucketCode;
	
	@Column(name="cntrl_cls_bucket_score")
	private Integer cntrlClsBucketScore;

	@Column(name="residul_risk_code")
	private String residulRiskCode;

	@Column(name="residul_risk_score")
	private Double residulRiskScore;

	@Column(name="risk_weightage_percentage")
	private Integer riskWeightagePercentage;
		
	@Column(name="impact_code")
	private String  impactCode;
	
	@Column(name="impact_desc")
	private String  impactDesc;
	
	@Column(name="risk_frequency_code")
	private String  riskFrequencyCode;
	
	@Column(name="risk_frequency_desc")
	private String  riskFrequencyDesc;
	
	@Column(name="control_frequency_code")
	private String  controlFrequencyCode;
	
	@Column(name="control_frequency_desc")
	private String  controlFrequencyDesc;
	
	@Column(name="finding_approver")
	private String findingApprover;
	
	@Column(name="response_approver")
	private String responseApprover;
	
	@Column(name="review_approver")
	private String reviewApprover;
	
	@Column(name="inhrt_risk_desc")
	private String inhrtRiskDesc;
	
	@Column(name="cntrl_cls_bucket_desc")
	private String cntrlClsBucketDesc;
	
	@Column(name="residul_risk_desc")
	private String residulRiskDesc;
	/* fields related to Risk Capture */
	
	@Column(name="report_reviewer_remarks")
	private String reportReviewerRemarks;
	
	@Column(name="report_reviewer")
	private String reportReviewer;
	
	@Column(name="observation_note")
	private String observationNote;
	
	@Column(name="observation_note_maker")
	private String observationNoteMaker;
	
	@Column(name="response_note")
	private String responseNote;
	
	@Column(name="response_note_maker")
	private String responseNoteMaker;
	
	@Column(name="review_note")
	private String reviewNote;
	
	@Column(name="review_note_maker")
	private String reviewNoteMaker;
	
	@Column(name="review_note_maker_timestamp")
	private String reviewNoteMakerTimestamp;
	
	@Column(name="flag")
	private String flag;
	
	@Column(name="review_status_attribute")
	private String reviewStatusAttribute;

	public AuditObservationHst() {
	}
	
	/**
	 * @param id
	 * @param versionNo
	 * @param legalEntityCode
	 * @param auditTypeCode
	 * @param planId
	 * @param auditId
	 * @param groupObservationId
	 * @param observationId
	 * @param mappingId
	 * @param accountNo
	 * @param accountName
	 * @param accountCurrency
	 * @param limitType
	 * @param limitAmount
	 * @param limitCurrency
	 * @param balance
	 * @param date
	 * @param findingId
	 * @param findingDescription
	 * @param findingRemarks
	 * @param submissionStatus
	 * @param findingOwner
	 * @param findingCriticality
	 * @param responseId
	 * @param responseDescription
	 * @param responseRemarks
	 * @param responseOwner
	 * @param responseStatus
	 * @param reviewId
	 * @param reviewDescription
	 * @param reviewRemarks
	 * @param reviewOwner
	 * @param reviewStatus
	 * @param remarks
	 * @param entityStatus
	 * @param status
	 * @param maker
	 * @param makerTimestamp
	 * @param checker
	 * @param checkerTimestamp
	 * @param businessdateTimestamp
	 * @param sysdateTimestamp
	 */
	public AuditObservationHst(AuditObservation auditObservation) {
		super();
		this.legalEntityCode = auditObservation.getLegalEntityCode();
		this.auditTypeCode = auditObservation.getAuditTypeCode();
		this.planId = auditObservation.getPlanId();
		this.auditId = auditObservation.getAuditId();
		this.groupObservationId = auditObservation.getGroupObservationId();
		this.observationId = auditObservation.getObservationId();
		this.mappingId = auditObservation.getMappingId();
		this.accountNo = auditObservation.getAccountNo();
		this.accountName = auditObservation.getAccountName();
		this.accountCurrency = auditObservation.getAccountCurrency();
		this.limitType = auditObservation.getLimitType();
		this.limitAmount = auditObservation.getLimitAmount();
		this.limitCurrency = auditObservation.getLimitCurrency();
		this.balance = auditObservation.getBalance();
		this.date = auditObservation.getDate();
		this.findingId = auditObservation.getFindingId();
		this.findingDescription = auditObservation.getFindingDescription();
		this.findingRemarks = auditObservation.getFindingRemarks();
		this.submissionStatus = auditObservation.getSubmissionStatus();
		this.findingOwner = auditObservation.getFindingOwner();
		this.findingCriticality = auditObservation.getFindingCriticality();
		this.responseId = auditObservation.getResponseId();
		this.responseDescription = auditObservation.getResponseDescription();
		this.responseRemarks = auditObservation.getResponseRemarks();
		this.responseOwner = auditObservation.getResponseOwner();
		this.responseStatus = auditObservation.getResponseStatus();
		this.reviewId = auditObservation.getReviewId();
		this.reviewDescription = auditObservation.getReviewDescription();
		this.reviewRemarks = auditObservation.getReviewRemarks();
		this.reviewOwner = auditObservation.getReviewOwner();
		this.reviewStatus = auditObservation.getReviewStatus();
		this.remarks = auditObservation.getRemarks();
		this.entityStatus = auditObservation.getEntityStatus();
		this.status = auditObservation.getStatus();
		this.maker = auditObservation.getMaker();
		this.makerTimestamp = auditObservation.getMakerTimestamp();
		this.checker = auditObservation.getChecker();
		this.checkerTimestamp = auditObservation.getCheckerTimestamp();
		this.businessdateTimestamp = auditObservation.getBusinessdateTimestamp();
		this.sysdateTimestamp = auditObservation.getSysdateTimestamp();
		this.captureWay = auditObservation.getCaptureWay();
	}

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * @return the versionNo
	 */
	public Integer getVersionNo() {
		return versionNo;
	}

	/**
	 * @param versionNo the versionNo to set
	 */
	public void setVersionNo(Integer versionNo) {
		this.versionNo = versionNo;
	}

	/**
	 * @return the legalEntityCode
	 */
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	/**
	 * @param legalEntityCode the legalEntityCode to set
	 */
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	/**
	 * @return the auditTypeCode
	 */
	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	/**
	 * @param auditTypeCode the auditTypeCode to set
	 */
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	/**
	 * @return the planId
	 */
	public String getPlanId() {
		return planId;
	}

	/**
	 * @param planId the planId to set
	 */
	public void setPlanId(String planId) {
		this.planId = planId;
	}

	/**
	 * @return the auditId
	 */
	public String getAuditId() {
		return auditId;
	}

	/**
	 * @param auditId the auditId to set
	 */
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	/**
	 * @return the groupObservationId
	 */
	public String getGroupObservationId() {
		return groupObservationId;
	}

	/**
	 * @param groupObservationId the groupObservationId to set
	 */
	public void setGroupObservationId(String groupObservationId) {
		this.groupObservationId = groupObservationId;
	}

	/**
	 * @return the observationId
	 */
	public String getObservationId() {
		return observationId;
	}
	
	

	/**
	 * @return the captureWay
	 */
	public String getCaptureWay() {
		return captureWay;
	}

	/**
	 * @param captureWay the captureWay to set
	 */
	public void setCaptureWay(String captureWay) {
		this.captureWay = captureWay;
	}

	/**
	 * @param observationId the observationId to set
	 */
	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}

	/**
	 * @return the mappingId
	 */
	public String getMappingId() {
		return mappingId;
	}

	/**
	 * @param mappingId the mappingId to set
	 */
	public void setMappingId(String mappingId) {
		this.mappingId = mappingId;
	}

	/**
	 * @return the accountNo
	 */
	public String getAccountNo() {
		return accountNo;
	}

	/**
	 * @param accountNo the accountNo to set
	 */
	public void setAccountNo(String accountNo) {
		this.accountNo = accountNo;
	}

	/**
	 * @return the accountName
	 */
	public String getAccountName() {
		return accountName;
	}

	/**
	 * @param accountName the accountName to set
	 */
	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	/**
	 * @return the accountCurrency
	 */
	public String getAccountCurrency() {
		return accountCurrency;
	}

	/**
	 * @param accountCurrency the accountCurrency to set
	 */
	public void setAccountCurrency(String accountCurrency) {
		this.accountCurrency = accountCurrency;
	}

	/**
	 * @return the limitType
	 */
	public String getLimitType() {
		return limitType;
	}

	/**
	 * @param limitType the limitType to set
	 */
	public void setLimitType(String limitType) {
		this.limitType = limitType;
	}



	/**
	 * @return the limitAmount
	 */
	public String getLimitAmount() {
		return limitAmount;
	}

	/**
	 * @param limitAmount the limitAmount to set
	 */
	public void setLimitAmount(String limitAmount) {
		this.limitAmount = limitAmount;
	}

	/**
	 * @return the balance
	 */
	public String getBalance() {
		return balance;
	}

	/**
	 * @param balance the balance to set
	 */
	public void setBalance(String balance) {
		this.balance = balance;
	}

	/**
	 * @return the limitCurrency
	 */
	public String getLimitCurrency() {
		return limitCurrency;
	}

	/**
	 * @param limitCurrency the limitCurrency to set
	 */
	public void setLimitCurrency(String limitCurrency) {
		this.limitCurrency = limitCurrency;
	}



	/**
	 * @return the date
	 */
	public Date getDate() {
		return date;
	}

	/**
	 * @param date the date to set
	 */
	public void setDate(Date date) {
		this.date = date;
	}

	/**
	 * @return the findingId
	 */
	public String getFindingId() {
		return findingId;
	}

	/**
	 * @param findingId the findingId to set
	 */
	public void setFindingId(String findingId) {
		this.findingId = findingId;
	}

	/**
	 * @return the findingDescription
	 */
	public String getFindingDescription() {
		return findingDescription;
	}

	/**
	 * @param findingDescription the findingDescription to set
	 */
	public void setFindingDescription(String findingDescription) {
		this.findingDescription = findingDescription;
	}

	/**
	 * @return the findingRemarks
	 */
	public String getFindingRemarks() {
		return findingRemarks;
	}

	/**
	 * @param findingRemarks the findingRemarks to set
	 */
	public void setFindingRemarks(String findingRemarks) {
		this.findingRemarks = findingRemarks;
	}

	/**
	 * @return the submissionStatus
	 */
	public String getSubmissionStatus() {
		return submissionStatus;
	}

	/**
	 * @param submissionStatus the submissionStatus to set
	 */
	public void setSubmissionStatus(String submissionStatus) {
		this.submissionStatus = submissionStatus;
	}

	/**
	 * @return the findingOwner
	 */
	public String getFindingOwner() {
		return findingOwner;
	}

	/**
	 * @param findingOwner the findingOwner to set
	 */
	public void setFindingOwner(String findingOwner) {
		this.findingOwner = findingOwner;
	}

	/**
	 * @return the findingCriticality
	 */
	public String getFindingCriticality() {
		return findingCriticality;
	}

	/**
	 * @param findingCriticality the findingCriticality to set
	 */
	public void setFindingCriticality(String findingCriticality) {
		this.findingCriticality = findingCriticality;
	}

	public String getObservationCriticality() {
		return observationCriticality;
	}

	public void setObservationCriticality(String observationCriticality) {
		this.observationCriticality = observationCriticality;
	}

	/**
	 * @return the responseId
	 */
	public String getResponseId() {
		return responseId;
	}

	/**
	 * @param responseId the responseId to set
	 */
	public void setResponseId(String responseId) {
		this.responseId = responseId;
	}

	/**
	 * @return the responseDescription
	 */
	public String getResponseDescription() {
		return responseDescription;
	}

	/**
	 * @param responseDescription the responseDescription to set
	 */
	public void setResponseDescription(String responseDescription) {
		this.responseDescription = responseDescription;
	}

	/**
	 * @return the responseRemarks
	 */
	public String getResponseRemarks() {
		return responseRemarks;
	}

	/**
	 * @param responseRemarks the responseRemarks to set
	 */
	public void setResponseRemarks(String responseRemarks) {
		this.responseRemarks = responseRemarks;
	}

	/**
	 * @return the responseOwner
	 */
	public String getResponseOwner() {
		return responseOwner;
	}

	/**
	 * @param responseOwner the responseOwner to set
	 */
	public void setResponseOwner(String responseOwner) {
		this.responseOwner = responseOwner;
	}

	/**
	 * @return the responseStatus
	 */
	public String getResponseStatus() {
		return responseStatus;
	}

	/**
	 * @param responseStatus the responseStatus to set
	 */
	public void setResponseStatus(String responseStatus) {
		this.responseStatus = responseStatus;
	}

	/**
	 * @return the reviewId
	 */
	public String getReviewId() {
		return reviewId;
	}

	/**
	 * @param reviewId the reviewId to set
	 */
	public void setReviewId(String reviewId) {
		this.reviewId = reviewId;
	}

	/**
	 * @return the reviewDescription
	 */
	public String getReviewDescription() {
		return reviewDescription;
	}

	/**
	 * @param reviewDescription the reviewDescription to set
	 */
	public void setReviewDescription(String reviewDescription) {
		this.reviewDescription = reviewDescription;
	}

	/**
	 * @return the reviewRemarks
	 */
	public String getReviewRemarks() {
		return reviewRemarks;
	}

	/**
	 * @param reviewRemarks the reviewRemarks to set
	 */
	public void setReviewRemarks(String reviewRemarks) {
		this.reviewRemarks = reviewRemarks;
	}

	/**
	 * @return the reviewOwner
	 */
	public String getReviewOwner() {
		return reviewOwner;
	}

	/**
	 * @param reviewOwner the reviewOwner to set
	 */
	public void setReviewOwner(String reviewOwner) {
		this.reviewOwner = reviewOwner;
	}

	/**
	 * @return the reviewStatus
	 */
	public String getReviewStatus() {
		return reviewStatus;
	}

	/**
	 * @param reviewStatus the reviewStatus to set
	 */
	public void setReviewStatus(String reviewStatus) {
		this.reviewStatus = reviewStatus;
	}

	/**
	 * @return the remarks
	 */
	public String getRemarks() {
		return remarks;
	}

	/**
	 * @param remarks the remarks to set
	 */
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getCaptureType() {
		return captureType;
	}

	public void setCaptureType(String captureType) {
		this.captureType = captureType;
	}

	public String getComplianceCategory() {
		return complianceCategory;
	}

	public void setComplianceCategory(String complianceCategory) {
		this.complianceCategory = complianceCategory;
	}

	public String getNonCompliancePersistence() {
		return nonCompliancePersistence;
	}

	public void setNonCompliancePersistence(String nonCompliancePersistence) {
		this.nonCompliancePersistence = nonCompliancePersistence;
	} 	

	public String getNonCompliancePersistenceRemark() {
		return nonCompliancePersistenceRemark;
	}

	public void setNonCompliancePersistenceRemark(String nonCompliancePersistenceRemark) {
		this.nonCompliancePersistenceRemark = nonCompliancePersistenceRemark;
	}

	/**
	 * @return the entityStatus
	 */
	public String getEntityStatus() {
		return entityStatus;
	}

	/**
	 * @param entityStatus the entityStatus to set
	 */
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * @return the maker
	 */
	public String getMaker() {
		return maker;
	}

	/**
	 * @param maker the maker to set
	 */
	public void setMaker(String maker) {
		this.maker = maker;
	}

	/**
	 * @return the makerTimestamp
	 */
	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	/**
	 * @param makerTimestamp the makerTimestamp to set
	 */
	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	/**
	 * @return the checker
	 */
	public String getChecker() {
		return checker;
	}

	/**
	 * @param checker the checker to set
	 */
	public void setChecker(String checker) {
		this.checker = checker;
	}

	/**
	 * @return the checkerTimestamp
	 */
	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	/**
	 * @param checkerTimestamp the checkerTimestamp to set
	 */
	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	/**
	 * @return the businessdateTimestamp
	 */
	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	/**
	 * @param businessdateTimestamp the businessdateTimestamp to set
	 */
	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	/**
	 * @return the sysdateTimestamp
	 */
	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	/**
	 * @param sysdateTimestamp the sysdateTimestamp to set
	 */
	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	public String getProbCode() {
		return probCode;
	}

	public void setProbCode(String probCode) {
		this.probCode = probCode;
	}

	public Integer getProbScore() {
		return probScore;
	}

	public void setProbScore(Integer probScore) {
		this.probScore = probScore;
	}

	public String getSeverityCode() {
		return severityCode;
	}

	public void setSeverityCode(String severityCode) {
		this.severityCode = severityCode;
	}

	public Integer getSeverityScore() {
		return severityScore;
	}

	public void setSeverityScore(Integer severityScore) {
		this.severityScore = severityScore;
	}

	public String getDesignEffCode() {
		return designEffCode;
	}

	public void setDesignEffCode(String designEffCode) {
		this.designEffCode = designEffCode;
	}

	public Integer getDesignEffScore() {
		return designEffScore;
	}

	public void setDesignEffScore(Integer designEffScore) {
		this.designEffScore = designEffScore;
	}

	public String getOprtingEffCode() {
		return oprtingEffCode;
	}

	public void setOprtingEffCode(String oprtingEffCode) {
		this.oprtingEffCode = oprtingEffCode;
	}

	public Integer getOprtingEffScore() {
		return oprtingEffScore;
	}

	public void setOprtingEffScore(Integer oprtingEffScore) {
		this.oprtingEffScore = oprtingEffScore;
	}

	public String getInhrtRiskCode() {
		return inhrtRiskCode;
	}

	public void setInhrtRiskCode(String inhrtRiskCode) {
		this.inhrtRiskCode = inhrtRiskCode;
	}

	public String getCntrlClsBucketCode() {
		return cntrlClsBucketCode;
	}

	public void setCntrlClsBucketCode(String cntrlClsBucketCode) {
		this.cntrlClsBucketCode = cntrlClsBucketCode;
	}

	public Integer getCntrlClsBucketScore() {
		return cntrlClsBucketScore;
	}

	public void setCntrlClsBucketScore(Integer cntrlClsBucketScore) {
		this.cntrlClsBucketScore = cntrlClsBucketScore;
	}

	public String getResidulRiskCode() {
		return residulRiskCode;
	}

	public void setResidulRiskCode(String residulRiskCode) {
		this.residulRiskCode = residulRiskCode;
	}

	public Double getResidulRiskScore() {
		return residulRiskScore;
	}

	public void setResidulRiskScore(Double residulRiskScore) {
		this.residulRiskScore = residulRiskScore;
	}

	public Integer getRiskWeightagePercentage() {
		return riskWeightagePercentage;
	}

	public void setRiskWeightagePercentage(Integer riskWeightagePercentage) {
		this.riskWeightagePercentage = riskWeightagePercentage;
	}

	public String getImpactCode() {
		return impactCode;
	}

	public void setImpactCode(String impactCode) {
		this.impactCode = impactCode;
	}

	public String getImpactDesc() {
		return impactDesc;
	}

	public void setImpactDesc(String impactDesc) {
		this.impactDesc = impactDesc;
	}

	public String getRiskFrequencyCode() {
		return riskFrequencyCode;
	}

	public void setRiskFrequencyCode(String riskFrequencyCode) {
		this.riskFrequencyCode = riskFrequencyCode;
	}

	public String getRiskFrequencyDesc() {
		return riskFrequencyDesc;
	}

	public void setRiskFrequencyDesc(String riskFrequencyDesc) {
		this.riskFrequencyDesc = riskFrequencyDesc;
	}

	public String getControlFrequencyCode() {
		return controlFrequencyCode;
	}

	public void setControlFrequencyCode(String controlFrequencyCode) {
		this.controlFrequencyCode = controlFrequencyCode;
	}

	public String getControlFrequencyDesc() {
		return controlFrequencyDesc;
	}

	public void setControlFrequencyDesc(String controlFrequencyDesc) {
		this.controlFrequencyDesc = controlFrequencyDesc;
	}

	public String getFindingApprover() {
		return findingApprover;
	}

	public void setFindingApprover(String findingApprover) {
		this.findingApprover = findingApprover;
	}

	public String getResponseApprover() {
		return responseApprover;
	}

	public void setResponseApprover(String responseApprover) {
		this.responseApprover = responseApprover;
	}

	public String getReviewApprover() {
		return reviewApprover;
	}

	public void setReviewApprover(String reviewApprover) {
		this.reviewApprover = reviewApprover;
	}

	public String getInhrtRiskDesc() {
		return inhrtRiskDesc;
	}

	public void setInhrtRiskDesc(String inhrtRiskDesc) {
		this.inhrtRiskDesc = inhrtRiskDesc;
	}

	public String getCntrlClsBucketDesc() {
		return cntrlClsBucketDesc;
	}

	public void setCntrlClsBucketDesc(String cntrlClsBucketDesc) {
		this.cntrlClsBucketDesc = cntrlClsBucketDesc;
	}

	public String getResidulRiskDesc() {
		return residulRiskDesc;
	}

	public void setResidulRiskDesc(String residulRiskDesc) {
		this.residulRiskDesc = residulRiskDesc;
	}

	public String getReportReviewerRemarks() {
		return reportReviewerRemarks;
	}

	public void setReportReviewerRemarks(String reportReviewerRemarks) {
		this.reportReviewerRemarks = reportReviewerRemarks;
	}

	public String getReportReviewer() {
		return reportReviewer;
	}

	public void setReportReviewer(String reportReviewer) {
		this.reportReviewer = reportReviewer;
	}

	public String getObservationNote() {
		return observationNote;
	}

	public void setObservationNote(String observationNote) {
		this.observationNote = observationNote;
	}

	public String getObservationNoteMaker() {
		return observationNoteMaker;
	}

	public void setObservationNoteMaker(String observationNoteMaker) {
		this.observationNoteMaker = observationNoteMaker;
	}

	public String getResponseNote() {
		return responseNote;
	}

	public void setResponseNote(String responseNote) {
		this.responseNote = responseNote;
	}

	public String getResponseNoteMaker() {
		return responseNoteMaker;
	}

	public void setResponseNoteMaker(String responseNoteMaker) {
		this.responseNoteMaker = responseNoteMaker;
	}

	public String getReviewNote() {
		return reviewNote;
	}

	public void setReviewNote(String reviewNote) {
		this.reviewNote = reviewNote;
	}

	public String getReviewNoteMaker() {
		return reviewNoteMaker;
	}

	public void setReviewNoteMaker(String reviewNoteMaker) {
		this.reviewNoteMaker = reviewNoteMaker;
	}

	public String getReviewNoteMakerTimestamp() {
		return reviewNoteMakerTimestamp;
	}

	public void setReviewNoteMakerTimestamp(String reviewNoteMakerTimestamp) {
		this.reviewNoteMakerTimestamp = reviewNoteMakerTimestamp;
	}

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}

	public String getReviewStatusAttribute() {
		return reviewStatusAttribute;
	}

	public void setReviewStatusAttribute(String reviewStatusAttribute) {
		this.reviewStatusAttribute = reviewStatusAttribute;
	}
	
	
	
}
